new upstream release 2020f

Bug #1909698 reported by Tw1ce on 2020-12-30
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
tzdata (Ubuntu)
Medium
Brian Murray
Xenial
Undecided
Brian Murray
Bionic
Undecided
Brian Murray
Focal
Undecided
Brian Murray
Groovy
Undecided
Brian Murray

Bug Description

New upstream version, affecting the following timestamp:
  - Volgograd switches to Moscow time on 2020-12-27 at 02:00.

The ICU timezone data has not yet been updated upstream so those changes will be included in a later SRU.

Verification is done with 'zdump'. The first timezone that gets changed in the updated package is dumped with "zdump -v $region/$timezone_that_changed" (this needed to be greped for in /usr/share/zoneinfo/). [For example: "zdump -v Africa/Casablanca".] This is compared to the same output after the updated package got installed. If those are different the verification is considered done.

$region/$timezone = Europe/Volgograd

Additionally, an upstream update of tzdata removed the "old" SystemV timezones, so we should ensure that they are kept in Ubuntu 20.04 LTS and earlier releases. Subsequently, these should be checked for using the following:

diff <(zdump -v America/Phoenix | cut -d' ' -f2-) <(zdump -v SystemV/MST7 | cut -d' ' -f2-)

Nothing should be returned by the above command.

[Original Description]
https://www.iana.org/time-zones tzdata 2020f already exists, please update the package.

summary: - outdated tzdata in 18.04
+ outdated tzdata in all releases
tags: added: fr-1021
summary: - outdated tzdata in all releases
+ new upstream release 2020f
Changed in tzdata (Ubuntu):
assignee: nobody → Brian Murray (brian-murray)
status: New → In Progress
importance: Undecided → Medium
description: updated
description: updated
Brian Murray (brian-murray) wrote :

Attached is a debdiff for Trusty.

Brian Murray (brian-murray) wrote :

And here's a trusty debdiff with a bug reference.

Brian Murray (brian-murray) wrote :

Here's a debdiff for Precise.

Changed in tzdata (Ubuntu Xenial):
assignee: nobody → Brian Murray (brian-murray)
Changed in tzdata (Ubuntu Bionic):
assignee: nobody → Brian Murray (brian-murray)
Changed in tzdata (Ubuntu Focal):
assignee: nobody → Brian Murray (brian-murray)
Changed in tzdata (Ubuntu Groovy):
assignee: nobody → Brian Murray (brian-murray)

Hello Tw1ce, or anyone else affected,

Accepted tzdata into groovy-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/tzdata/2020f-0ubuntu0.20.10 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-groovy to verification-done-groovy. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-groovy. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in tzdata (Ubuntu Groovy):
status: New → Fix Committed
tags: added: verification-needed verification-needed-groovy
Changed in tzdata (Ubuntu Focal):
status: New → Fix Committed
tags: added: verification-needed-focal
Steve Langasek (vorlon) wrote :

Hello Tw1ce, or anyone else affected,

Accepted tzdata into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/tzdata/2020f-0ubuntu0.20.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Steve Langasek (vorlon) wrote :

Hello Tw1ce, or anyone else affected,

Accepted tzdata into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/tzdata/2020f-0ubuntu0.18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in tzdata (Ubuntu Bionic):
status: New → Fix Committed
tags: added: verification-needed-bionic
Changed in tzdata (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-needed-xenial
Steve Langasek (vorlon) wrote :

Hello Tw1ce, or anyone else affected,

Accepted tzdata into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/tzdata/2020f-0ubuntu0.16.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Brian Murray (brian-murray) wrote :

We can see that there is updated information for Volgograd, so setting to v-done for groovy.

(groovy-amd64)root@impulse:~# apt-cache policy tzdata
tzdata:
  Installed: 2020f-0ubuntu0.20.10
  Candidate: 2020f-0ubuntu0.20.10
  Version table:
 *** 2020f-0ubuntu0.20.10 500
        500 http://archive.ubuntu.com/ubuntu groovy-proposed/main amd64 Packages
        100 /var/lib/dpkg/status
     2020d-1ubuntu1 500
        500 http://192.168.10.7/ubuntu groovy-updates/main amd64 Packages
        500 http://192.168.10.7/ubuntu groovy-security/main amd64 Packages
     2020b-1ubuntu1 500
        500 http://192.168.10.7/ubuntu groovy/main amd64 Packages
(groovy-amd64)root@impulse:~# zdump -v Europe/Volgograd | tail -n 6
Europe/Volgograd Sat Oct 27 22:59:59 2018 UT = Sun Oct 28 01:59:59 2018 +03 isdst=0 gmtoff=10800
Europe/Volgograd Sat Oct 27 23:00:00 2018 UT = Sun Oct 28 03:00:00 2018 +04 isdst=0 gmtoff=14400
Europe/Volgograd Sat Dec 26 21:59:59 2020 UT = Sun Dec 27 01:59:59 2020 +04 isdst=0 gmtoff=14400
Europe/Volgograd Sat Dec 26 22:00:00 2020 UT = Sun Dec 27 01:00:00 2020 +03 isdst=0 gmtoff=10800
Europe/Volgograd 9223372036854689407 = NULL
Europe/Volgograd 9223372036854775807 = NULL

Brian Murray (brian-murray) wrote :

There is also updated information in Focal for Volgograd.

(focal-amd64)root@impulse:~# zdump -v Europe/Volgograd | tail -n 6
Europe/Volgograd Sat Oct 27 22:59:59 2018 UT = Sun Oct 28 01:59:59 2018 +03 isdst=0 gmtoff=10800
Europe/Volgograd Sat Oct 27 23:00:00 2018 UT = Sun Oct 28 03:00:00 2018 +04 isdst=0 gmtoff=14400
Europe/Volgograd Sat Dec 26 21:59:59 2020 UT = Sun Dec 27 01:59:59 2020 +04 isdst=0 gmtoff=14400
Europe/Volgograd Sat Dec 26 22:00:00 2020 UT = Sun Dec 27 01:00:00 2020 +03 isdst=0 gmtoff=10800
Europe/Volgograd 9223372036854689407 = NULL
Europe/Volgograd 9223372036854775807 = NULL
(focal-amd64)root@impulse:~# apt-cache policy tzdata
tzdata:
  Installed: 2020f-0ubuntu0.20.04
  Candidate: 2020f-0ubuntu0.20.04
  Version table:
 *** 2020f-0ubuntu0.20.04 500
        500 http://archive.ubuntu.com/ubuntu focal-proposed/main amd64 Packages
        100 /var/lib/dpkg/status
     2020d-0ubuntu0.20.04 500
        500 http://192.168.10.7/ubuntu focal-updates/main amd64 Packages
        500 http://security.ubuntu.com/ubuntu focal-security/main amd64 Packages
     2019c-3ubuntu1 500
        500 http://192.168.10.7/ubuntu focal/main amd64 Packages

And the SystemV timezones are still available.

focal-amd64)root@impulse:~# diff <(zdump -v America/Phoenix | cut -d' ' -f2-) <(zdump -v SystemV/MST7 | cut -d' ' -f2-)
nothing to see here

tags: added: verification-done-focal verification-done-groovy
removed: verification-needed-focal verification-needed-groovy
Brian Murray (brian-murray) wrote :

Verified on bionic:

(bionic-amd64)root@impulse:~# apt-cache policy tzdata
tzdata:
  Installed: 2020f-0ubuntu0.18.04
  Candidate: 2020f-0ubuntu0.18.04
  Version table:
 *** 2020f-0ubuntu0.18.04 500
        500 http://archive.ubuntu.com/ubuntu bionic-proposed/main amd64 Packages
        100 /var/lib/dpkg/status
     2020d-0ubuntu0.18.04 500
        500 http://ubuntu.osuosl.org/ubuntu bionic-updates/main amd64 Packages
        500 http://security.ubuntu.com/ubuntu bionic-security/main amd64 Packages
     2018d-1 500
        500 http://ubuntu.osuosl.org/ubuntu bionic/main amd64 Packages
(bionic-amd64)root@impulse:~# zdump -v Europe/Volgograd | tail -n 6
Europe/Volgograd Sat Oct 27 22:59:59 2018 UT = Sun Oct 28 01:59:59 2018 +03 isdst=0 gmtoff=10800
Europe/Volgograd Sat Oct 27 23:00:00 2018 UT = Sun Oct 28 03:00:00 2018 +04 isdst=0 gmtoff=14400
Europe/Volgograd Sat Dec 26 21:59:59 2020 UT = Sun Dec 27 01:59:59 2020 +04 isdst=0 gmtoff=14400
Europe/Volgograd Sat Dec 26 22:00:00 2020 UT = Sun Dec 27 01:00:00 2020 +03 isdst=0 gmtoff=10800
Europe/Volgograd 9223372036854689407 = NULL
Europe/Volgograd 9223372036854775807 = NULL

(bionic-amd64)root@impulse:~# diff <(zdump -v America/Phoenix | cut -d' ' -f2-) <(zdump -v SystemV/MST7 | cut -d' ' -f2-)
(bionic-amd64)root@impulse:~#

Brian Murray (brian-murray) wrote :

Verified on xenial:

(xenial-amd64)root@impulse:~# apt-cache policy tzdata
tzdata:
  Installed: 2020f-0ubuntu0.16.04
  Candidate: 2020f-0ubuntu0.16.04
  Version table:
 *** 2020f-0ubuntu0.16.04 500
        500 http://archive.ubuntu.com//ubuntu xenial-proposed/main amd64 Packages
        100 /var/lib/dpkg/status
     2020d-0ubuntu0.16.04 500
        500 http://ubuntu.osuosl.org/ubuntu xenial-updates/main amd64 Packages
        500 http://security.ubuntu.com/ubuntu xenial-security/main amd64 Packages
     2016d-0ubuntu0.16.04 500
        500 http://ubuntu.osuosl.org/ubuntu xenial/main amd64 Packages
(xenial-amd64)root@impulse:~# zdump -v Europe/Volgograd | tail -n6
Europe/Volgograd Sat Oct 27 22:59:59 2018 UT = Sun Oct 28 01:59:59 2018 +03 isdst=0 gmtoff=10800
Europe/Volgograd Sat Oct 27 23:00:00 2018 UT = Sun Oct 28 03:00:00 2018 +04 isdst=0 gmtoff=14400
Europe/Volgograd Sat Dec 26 21:59:59 2020 UT = Sun Dec 27 01:59:59 2020 +04 isdst=0 gmtoff=14400
Europe/Volgograd Sat Dec 26 22:00:00 2020 UT = Sun Dec 27 01:00:00 2020 +03 isdst=0 gmtoff=10800
Europe/Volgograd 9223372036854689407 = NULL
Europe/Volgograd 9223372036854775807 = NULL
(xenial-amd64)root@impulse:~# diff <(zdump -v America/Phoenix | cut -d' ' -f2-) <(zdump -v SystemV/MST7 | cut -d' ' -f2-)

tags: added: verification-done-bionic verification-done-xenial
removed: verification-needed-bionic verification-needed-xenial
tags: added: verification-done
removed: verification-needed

All autopkgtests for the newly accepted tzdata (2020f-0ubuntu0.20.04) for focal have finished running.
The following regressions have been reported in tests triggered by the package:

gnustep-base/1.26.0-7 (armhf)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/focal/update_excuses.html#tzdata

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2020f-1ubuntu1

---------------
tzdata (2020f-1ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable (LP: #1909698). Remaining changes:
    - Ship ICU timezone data files which are utilized by php and keep them
      at 2020d as they have not yet been updated.

tzdata (2020f-1) unstable; urgency=medium

  * New upstream version with no impact on the content of the debian
    package, except for the version number.

tzdata (2020e-1) unstable; urgency=medium

  * New upstream version, affecting the following future timestamp:
    - Volgograd switches to Moscow time on 2020-12-27 at 02:00.

 -- Brian Murray <email address hidden> Tue, 05 Jan 2021 14:17:21 -0800

Changed in tzdata (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2020f-0ubuntu0.20.10

---------------
tzdata (2020f-0ubuntu0.20.10) groovy; urgency=medium

  * New upstream version (LP: #1909698), affecting the following timestamp:
    - Volgograd switches to Moscow time on 2020-12-27 at 02:00.
  * ICU timezone data files are still version 2020d as they have not yet been
    updated by upstream.

 -- Brian Murray <email address hidden> Tue, 05 Jan 2021 16:08:38 -0800

Changed in tzdata (Ubuntu Groovy):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for tzdata has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2020f-0ubuntu0.20.04

---------------
tzdata (2020f-0ubuntu0.20.04) focal; urgency=medium

  * New upstream version (LP: #1909698), affecting the following timestamp:
    - Volgograd switches to Moscow time on 2020-12-27 at 02:00.
  * ICU timezone data files are still version 2020d as they have not yet been
    updated by upstream.

 -- Brian Murray <email address hidden> Tue, 05 Jan 2021 16:30:37 -0800

Changed in tzdata (Ubuntu Focal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2020f-0ubuntu0.18.04

---------------
tzdata (2020f-0ubuntu0.18.04) bionic; urgency=medium

  * New upstream version (LP: #1909698), affecting the following timestamp:
    - Volgograd switches to Moscow time on 2020-12-27 at 02:00.

 -- Brian Murray <email address hidden> Wed, 06 Jan 2021 08:11:57 -0800

Changed in tzdata (Ubuntu Bionic):
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2020f-0ubuntu0.16.04

---------------
tzdata (2020f-0ubuntu0.16.04) xenial; urgency=medium

  * New upstream version (LP: #1909698), affecting the following timestamp:
    - Volgograd switches to Moscow time on 2020-12-27 at 02:00.

 -- Brian Murray <email address hidden> Wed, 06 Jan 2021 08:24:52 -0800

Changed in tzdata (Ubuntu Xenial):
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
Steve Beattie (sbeattie) wrote :

Hi Brian,

Thanks for the trusty and precise debdiffs. I have gone ahead and published the updates to trusty-esm and precise-esm, after verifying the fixes.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers